package Server;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

import java.util.ArrayList;
import java.util.List;

import static org.junit.jupiter.api.Assertions.assertEquals;

class TurnTileTest {
    TurnTile turnTile;

    Player player1 = new Player("A", TotemColor.PURPLE);
    Player player2 = new Player("B", TotemColor.YELLOW);
    Player player3 = new Player("C", TotemColor.BLUE);
    Player player4 = new Player("D", TotemColor.GREEN);
    Player player5 = new Player("E", TotemColor.RED);
    List<Player> players = new ArrayList<>();
    @BeforeEach
    public void setUp(){

        players.add(player1);
        players.add(player2);
        players.add(player3);
        players.add(player4);
        players.add(player5);
        turnTile = new TurnTile(5);
    }
/**
    @Test
    void startOrder() {
       assertEquals(5, turnTileOld.startOrder(players).length);

    }

    @Test
    void giveReward() {
        turnTileOld.startOrder(players);
        player5.addFood(1);
        assertEquals(0, turnTileOld.giveReward(player5).getFoodTokens());

    }

    @Test
    void nextPlayer() {

        //test that the method proceeds along the array
        turnTileOld.startOrder(players);
        assertEquals(player2, turnTileOld.nextPlayer());

    }

    @Test
    void addPlayer() {

        //verify that the first player changes

        turnTileOld.startOrder(players);
        assertEquals(player2, turnTileOld.addPlayer(player2));
    }
    **/

}